AWS
action RDS

# reboot_db_instance

Forces a reboot of your DB instance

Run it now
View details

Type | action
Module | chaosaws.rds.actions
Name | reboot_db_instance
Return | mapping

Usage

JSON

    {
      "name": "reboot-db-instance",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.rds.actions",
        "func": "reboot_db_instance",
        "arguments": {
          "db_instance_identifier": ""
        }
      }
    }

YAML

    name: reboot-db-instance
    provider:
      arguments:
        db_instance_identifier: ""
      func: reboot_db_instance
      module: chaosaws.rds.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
db_instance_identifier | string |  | Yes | DB Instance ID | Database instance identifier
force_failover | boolean | false | No | Force | Force the failover operation

Signature

    def reboot_db_instance(
            db_instance_identifier: str,
            force_failover: bool = False,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe RDS

  ## `cluster_membership_count`

  Count the number of cluster memberships
- AWS
  action RDS

  ## `stop_db_cluster`

  Stop a RDS Cluster
- AWS
  probe RDS

  ## `instance_status`

  Returns the selected instance's status